org.apache.geode.cache.persistence

## Class ConflictingPersistentDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.DiskAccessException
            - - org.apache.geode.cache.persistence.ConflictingPersistentDataException

- All Implemented Interfaces:
    java.io.Serializable

      public class ConflictingPersistentDataException
      extends DiskAccessException

  Thrown when a member with persistence is recovering, and it discovers that the data it has on disk was never part of the same distributed system as the members that are currently online. This exception can occur when two members both have persistent files for the same region, but they were online at different times, so the contents of their persistent files are completely different. In that case, gemfire throws this exception rather than discarding one of the sets of persistent files.
  Since:
    GemFire 6.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConflictingPersistentDataException()`
    `ConflictingPersistentDataException(java.lang.String message)`
    `ConflictingPersistentDataException(java.lang.String message, java.lang.Throwable cause)`
    `ConflictingPersistentDataException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.DiskAccessException

      `isRemote`

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConflictingPersistentDataException

          public ConflictingPersistentDataException()

    - #### ConflictingPersistentDataException

          public ConflictingPersistentDataException(java.lang.String message,
                                                    java.lang.Throwable cause)

    - #### ConflictingPersistentDataException

          public ConflictingPersistentDataException(java.lang.String message)

    - #### ConflictingPersistentDataException

          public ConflictingPersistentDataException(java.lang.Throwable cause)